#
# Copyright 2017 LinkedIn Corp.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.
#

group=com.linkedin
# optionally: ext.nextVersion = "major", "minor" (default), "patch" or e.g. "3.0.0-rc2"
# optionally: ext.snapshotSuffix = "SNAPSHOT" (default) or a pattern, e.g. "<count>.g<sha>-SNAPSHOT"
#
# Eg: artifacts will be created in the format azkaban-web-server-2.7.0-474-gbc0be80.tar.gz
snapshotSuffix=<count>-g<sha>
#long-running Gradle process speeds up local builds
#to stop the daemon run 'ligradle --stop'
org.gradle.daemon=true
#configures only relevant projects to speed up the configuration of large projects
#useful when specific project/task is invoked e.g: ligradle :cloud:cloud-api:build
org.gradle.configureondemand=true
#Gradle will run tasks from subprojects in parallel
#Higher CPU usage, faster builds
org.gradle.parallel=true
#Allows generation of idea/eclipse metadata for a specific subproject and its upstream project dependencies
ide.recursive=true
org.gradle.caching=true
